.button {
  background-color: $colorPink;
  border-radius: 8px;
  padding: 12px 46px 15px;
  color: #ffffff;
  text-decoration: none;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 46px;
  min-width: 210px;
  border: 2px solid $colorPink;
  white-space: nowrap;
  cursor: pointer;
  font-weight: 600;
  font-size: calculateSize(16);
  line-height: calculateSize(19);
  transition: .25s ease;

  &:hover,
  &:active {
    color: $colorPink;
    background-color: transparent;
  }

  &--green {
    background-color: $colorGreen;
    border-color: $colorDarkGreen;

    &:hover,
    &:active {
      color: $colorGreen;
      background-color: transparent;
    }

    &--outline {
      background-color: #ffffff;
      color: $colorGreen;

      &:hover,
      &:active {
        color: #ffffff;
        background-color: $colorGreen;
      }
    }
  }

  &--big {
    width: 340px;
  }

  &--icon {
    svg {
      margin-right: 16px;
    }
  }
}
